• 128549

    文章

  • 807

    评论

  • 12

    友链

  • 最近新加了换肤功能,大家多来逛逛吧~~~~
  • 喜欢这个网站的朋友可以加一下QQ群,我们一起交流技术。

在重新编译RYU时候碰到的问题。

服了这份高薪指南,涨多少你说了算>>

1,import setuptools ImportError: No module named setuptools

解决

2,distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pbr')

解决: wget  https://bootstrap.pypa.io/get-pip.py

          python get-pip.py

          pip install pbr

3 又会这样

在response时,无法返回,报错Can’t connect to HTTPS URL because the SSL module is not available

解决办法:

sudo apt-get install libssl-dev
sudo apt-get install openssl
进入到安装的python的目录下
./configure --enable-shared --enable-loadable-sqlite-extensions

sudo make
sudo make install

 

4. You are using pip version 8.1.1, however version 18.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

更新下pip

解决:pip文件在usr/bin目录下,cd进去,进行以下修改

把下面的三行

from pip import main
if __name__ == '__main__':
    sys.exit(main())
换成下面的三行

from pip import __main__
if __name__ == '__main__':

 


695856371Web网页设计师②群 | 喜欢本站的朋友可以收藏本站,或者加入我们大家一起来交流技术!

0条评论

Loading...


发表评论

电子邮件地址不会被公开。 必填项已用*标注

自定义皮肤 主体内容背景
打开支付宝扫码付款购买视频教程
遇到问题联系客服QQ:419400980
注册梁钟霖个人博客